require 'spec_helper'
 
describe Settings::Config do
  
  before(:all) do
    Gill.config = Settings::Config.new('/tmp')
  end
  
  after(:all) do
    FileUtils.rm_rf('/tmp/source')
    FileUtils.rm_rf('/tmp/.gillrc')
    FileUtils.rm_rf('/tmp/.gillcache')
  end
  
  it "should have a source path ok /tmp/source" do
    Gill.config.source_path.should == '/tmp/source'
  end
  
  it "should have a default path of /tmp/source/misc" do
    Gill.config.default_path.should == '/tmp/source/misc'
  end
  
  it "should have a cache path of /tmp/.gillcache" do
    Gill.config.cache_path.should == '/tmp/.gillcache'
  end
  
  it "should have a configuration path of /tmp/.gillrc" do
    Gill.config.settings_path.should == '/tmp/.gillrc'
  end
  
  it "should have created a .gillcache file." do
    File.should exist(Gill.config.cache_path)
  end
  
  it "should have created a .gillrc file." do
    File.should exist(Gill.config.settings_path)
  end
  
  it "should have created a source folder." do
    File.should exist(Gill.config.source_path)
  end
  
  it "should have created a default repository location folder." do
    File.should exist(Gill.config.default_path)
  end
  
end
